/*
* Jalview - A Sequence Alignment Editor and Viewer
* Copyright (C) 2005 AM Waterhouse, J Procter, G Barton, M Clamp, S Searle
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
*/

package jalview.gui;
import java.awt.*;
import java.util.*;

public class PaintRefresher
{
  static Vector components = new Vector();

  public static void Register(Component c)
  {
    if(!components.contains(c))
      components.add(c);
    else
      components.remove(c);
  }

  public static void Refresh(Component c)
  {
    Component temp;
    Enumeration e = components.elements();
    while( e.hasMoreElements() )
    {
      temp = (Component)e.nextElement();

      if(!temp.isValid())
        components.removeElement( temp );
      else if( temp == c )
           continue;

      temp.repaint();
    }

  }

}
